Index: tests/GuiChecks/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at
===================================================================
--- tests/GuiChecks/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
+++ tests/GuiChecks/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at	(revision fe0ddfc870329d8adcaf7269129b4690ddd98db4)
@@ -24,8 +24,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	-i $file 	--subgraph-dissection 	--verbose 1 	--select-molecule-by-id 0 	--select-molecules-atoms 	--fragment-molecule BondFragment 	--distance 1.55 	--order 2 	--fragment-automation 	--fragment-executable /bin/false --no-dry-run --store-session session-fragmentation-fragmentation-automation.py --session-type python], 0
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	--subgraph-dissection 	--verbose 1 	--select-molecule-by-id 0 	--select-molecules-atoms 	--fragment-molecule BondFragment 	--distance 1.55 	--order 2 	--fragment-automation 	--fragment-executable /bin/false --no-dry-run --store-session session-fragmentation-fragmentation-automation.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-fragmentation-automation.py >session-fragmentation-fragmentation-automation_new.py], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilderguitest session-fragmentation-fragmentation-automation_new.py], 
-	5, [stdout], [stderr])
+AT_CHECK([../../molecuilderguitest session-fragmentation-fragmentation-automation_new.py], 5, [stdout], [stderr])
 
 AT_CLEANUP
@@ -37,7 +36,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder 	-i $file 	--subgraph-dissection 	--verbose 1 	--select-molecule-by-id 0 	--select-molecules-atoms 	--fragment-molecule BondFragment 	--distance 1.55 	--order 2 	--fragment-automation 	--fragment-executable /bin/false \ 
-	--analyse-fragment-results 	--fragment-prefix $FILENAME 	--fragment-resultfile ${FILENAME}_results.dat], 
-	5, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run 	-i $file 	--subgraph-dissection 	--verbose 1 	--select-molecule-by-id 0 	--select-molecules-atoms 	--fragment-molecule BondFragment 	--distance 1.55 	--order 2 	--fragment-automation 	--fragment-executable /bin/false 	--analyse-fragment-results 	--fragment-prefix $FILENAME 	--fragment-resultfile ${FILENAME}_results.dat --no-dry-run --store-session session-fragmentation-fragmentation-automation.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-fragmentation-automation.py >session-fragmentation-fragmentation-automation_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-fragmentation-automation_new.py], 5, [stdout], [stderr])
 
 AT_CLEANUP
Index: tests/regression/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at
===================================================================
--- tests/regression/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at	(revision f27c2c5f268ff6d130b9e9d54bc176a6377242d0)
+++ tests/regression/Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at	(revision fe0ddfc870329d8adcaf7269129b4690ddd98db4)
@@ -34,6 +34,5 @@
 	--order 2 \
 	--fragment-automation \
-	--fragment-executable /bin/false], 
-	5, [stdout], [stderr])
+	--fragment-executable /bin/false], 5, [stdout], [stderr])
 
 AT_CLEANUP
@@ -55,9 +54,8 @@
 	--order 2 \
 	--fragment-automation \
-	--fragment-executable /bin/false \ 
+	--fragment-executable /bin/false \
 	--analyse-fragment-results \
 	--fragment-prefix $FILENAME \
-	--fragment-resultfile ${FILENAME}_results.dat], 
-	5, [stdout], [stderr])
+	--fragment-resultfile ${FILENAME}_results.dat], 5, [stdout], [stderr])
 
 AT_CLEANUP
